Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.algorithm.abn
Interface OraABNSettings

All Superinterfaces:
  javax.datamining.base.AlgorithmSettings, javax.datamining.supervised.SupervisedAlgorithmSettings

public interface OraABNSettings
extends javax.datamining.supervised.SupervisedAlgorithmSettings

An instance of `OraABNSettings` is used to specify settings for the Adaptive Bayes Network algorithm. The settings are intended to allow the user control over build performance. The build process includes a step that finds an array of seed features. A seed feature consists of a training attribute that is statistically correlated with the target. In a training table with many attributes, many seed features may be found. The statistical procedure ranks the seed features with respect to their statistical correlation. The first step consists of constructing a Naive Bayes Model of size specified by numberOfPredictorsInNBModel parameter consisting of the top ranked attributes. Subsequent steps extend each seed feature one at a time in rank order. The maximum number of seed features extended is specified by maximum predictors. Each step must yield a model of smaller description length or it is rejected. The initial baseline is the global target distribution or prior. Each time a seed feature is extended, it involves a scan of the table.

To control the length of time it takes for the build, there are three user parameters:

- MaximumPredictors - the maximum number of predictors is a feature selection mechanism that can provide a substantial performance improvement, especially in the instance of wide training tables. Note that the predictors are rank ordered with respect to an MDL measure of their correlation to the target which is a greedy measure of their likelihood of being incorporated into the model. The actual number of predictors will be the minimum of the parameter value and the number of active predictors in the model. If the value is less than the number of active predictors in the model, the predictors are chosen in accordance with their MDL rank. Default is 25. The number of predictors in the baseline Naive Bayes model is restricted by another mechanism: numberOfPredictorsInNBModel, which can be more or less than MaximumPredictors.
- numberOfPredictorsInNBModel - the number of predictors in the NB model. The actual number of predictors will be the minimum of the parameter value and the number of active predictors in the model. If the value is less than the number of active predictors in the model, the predictors are chosen in accordance with their MDL rank. Default is 10.
- This setting is ignored if the model type is neither NaiveBayesBuild nor MultiFeatureBuild.
- ModelBuildType - indicates what model types (MultiFeatureBuild, SingleFeatureBuild, or NaiveBayesBuild) to be built. Default is MultiFeatureBuild.

See Also:
  `AlgorithmSettings`, `SupervisedAlgorithmSettings`

Method Summary
`int` | `getMaximumNumberOfPredictors()` Returns the maximum number of predictors.
`OraABNModelType` | `getModelType()` Returns the ABN model type enumeration.
`int` | `getNaiveBayesNumberOfPredictors()` Returns the number of predictors used in NB model.
`void` | `setMaximumNumberOfPredictors(int maxPredictors)` Sets the maximum number of predictors.
`void` | `setModelType(OraABNModelType modelType)` Sets the model type enumeration.
`void` | `setNaiveBayesNumberOfPredictors(int nbPredictors)` Sets the number of predictors in the NB model.

Methods inherited from interface javax.datamining.base.AlgorithmSettings
`getMiningAlgorithm, verify`

Method Detail

### getModelType

    public OraABNModelType getModelType()

  Returns the ABN model type enumeration.
  Returns:
    ABNModelType

### setModelType

    public void setModelType(OraABNModelType modelType)

  Sets the model type enumeration.
  Parameters:
    `modelType` -
  Returns:
    void

### getNaiveBayesNumberOfPredictors

    public int getNaiveBayesNumberOfPredictors()

  Returns the number of predictors used in NB model.
  Returns:
    int

### setNaiveBayesNumberOfPredictors

    public void setNaiveBayesNumberOfPredictors(int nbPredictors)

  Sets the number of predictors in the NB model.
  Parameters:
    `nbPredictors` -
  Returns:
    void

### getMaximumNumberOfPredictors

    public int getMaximumNumberOfPredictors()

  Returns the maximum number of predictors.
  Returns:
    int

### setMaximumNumberOfPredictors

    public void setMaximumNumberOfPredictors(int maxPredictors)

  Sets the maximum number of predictors.
  Parameters:
    `maxPredictors` -
  Returns:
    void

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.